<?php
/**
 * @package DemoModularityConnectorBase
 * @since 1.0
 *
 * @wordpress-plugin
 * Plugin Name: Demo Modularity Connector base plugin
 * Description: Shows how to implement @TODO
 * Version: 1.0
 * Author: Ryan Hellyer <r.hellyer@syde.com>
 */

declare(strict_types=1);

namespace DemoModularityConnectorBase;

use Inpsyde\Modularity\Package;
use Inpsyde\Modularity\Properties\PluginProperties;

if (file_exists(__DIR__ . '/vendor/autoload.php')) {
    require_once __DIR__ . '/vendor/autoload.php';
}

function init()
{
    $properties = PluginProperties::new(__FILE__);
    $package = Package::new($properties);

    // Register modules here.
    $package->addModule(new BaseModule());

    // Connect to the other plugin's package
//    $package->connect(\DemoModularityConnectorProvider\package());

    $package->boot();
}

add_action('plugins_loaded', __NAMESPACE__ . '\\init');
