<?php

namespace DemoModularityConnectorBase;

use Inpsyde\Modularity\Module\ExecutableModule;
use Inpsyde\Modularity\Module\ModuleClassNameIdTrait;
use Psr\Container\ContainerInterface;

class BaseModule implements ExecutableModule
{
    use ModuleClassNameIdTrait;
    private ContainerInterface $container;

    public function run(ContainerInterface $container): bool
    {
//        add_filter('the_content', [$this, 'theContent']);
        $this->container = $container;

        add_filter('the_content', function(): string {
            $textFromOtherPlugin = 'Connector is not working yet!';

            /** @var ContentModifer $ryanSharedService **/
            $ryanSharedService = $this->container->get('ryan.shared.service');

            $textFromOtherPlugin = $ryanSharedService->text();

            return $textFromOtherPlugin;
        });

        return true;
    }

    public function theContent($content): string
    {
        $content .= '<p style="background:lime;padding:20px;">Demo Modularity Connector base plugin working!</p>';

        // Would also like to use forUseInOtherPlugin() from the other plugin here.

        return $content;
    }
}
